// Vector.cc

//Vector class
//Copyright 1997, T. Weldon

#include "Vector.h"


Vector::Vector()				//default constructor
{
	Message = new  char[strlen("unnamed")+1];
	strcpy(Message,"unnamed");
	x =1;
	y=1;
}

Vector::Vector(char *m, int xx, int yy)		//full constructor
{
	Message = new  char[strlen(m)+1];
	strcpy(Message,m);	
	x=xx;
	y=yy;
}

Vector::~Vector()				//destructor
{
	delete Message;	//free up array memory
}

Vector & Vector::operator=(Vector& v)		//Overloaded equal
{
	x=v.x;
	y=v.y;
	return *this;
}

Vector Vector::inner(Vector& v)		//inner product
{
	Vector a;
	delete a.Message;
	a.Message =  new  char[strlen( (*this).Message)+
		strlen(" * ") + strlen(v.Message)+1];
	strcpy(a.Message,(*this).Message);
	strcat(a.Message," * ");	
	strcat(a.Message,v.Message);
	a.x= (*this).x * v.x + (*this).y * v.y;
	a.y = 0;
	return a;
}
